Package org.wso2.carbon.wsdl2code.stub.types.carbon

## Class CodegenDownloadData

- java.lang.Object
- - org.wso2.carbon.wsdl2code.stub.types.carbon.CodegenDownloadData

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class CodegenDownloadData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  CodegenDownloadData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CodegenDownloadData.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected DataHandler` | `localCodegenFileData` | field for CodegenFileData
    `protected boolean` | `localCodegenFileDataTracker` |
    `protected String` | `localFileName` | field for FileName
    `protected boolean` | `localFileNameTracker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CodegenDownloadData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataHandler` | `getCodegenFileData()` | Auto generated getter method
    `String` | `getFileName()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `isCodegenFileDataSpecified()` |
    `boolean` | `isFileNameSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setCodegenFileData​(DataHandler param)` | Auto generated setter method
    `void` | `setFileName​(String param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localCodegenFileData

          protected DataHandler localCodegenFileData

      field for CodegenFileData

    - #### localCodegenFileDataTracker

          protected boolean localCodegenFileDataTracker

    - #### localFileName

          protected String localFileName

      field for FileName

    - #### localFileNameTracker

          protected boolean localFileNameTracker

  - ### Constructor Detail

    - #### CodegenDownloadData

          public CodegenDownloadData()

  - ### Method Detail

    - #### isCodegenFileDataSpecified

          public boolean isCodegenFileDataSpecified()

    - #### getCodegenFileData

          public DataHandler getCodegenFileData()

      Auto generated getter method
      Returns:
        javax.activation.DataHandler

    - #### setCodegenFileData

          public void setCodegenFileData​(DataHandler param)

      Auto generated setter method
      Parameters:
        `param` - CodegenFileData

    - #### isFileNameSpecified

          public boolean isFileNameSpecified()

    - #### getFileName

          public String getFileName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFileName

          public void setFileName​(String param)

      Auto generated setter method
      Parameters:
        `param` - FileName

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`